## t2n 0.5

=== Makefile ===
# Talk2Ntx (t2n) 
# 
# 1) libusb is required (http://libusb.sourceforge.net/)
#    install it and check the USBROOT var
# 2) define CPU var if several architecture are targeted
#    (e.g. linux, sparc, cygwin etc ...) 
#
# N.B. tested on :
#      - pc/linux with g++ 3.4
#      - sparc/solaris with g++ 3.4
#


MAIN=t2n

OBJDIR=./obj$(CPU)
SRCDIR=./src

# ou trouver les .h et les lib usb/usbpp 
USBROOT=$(HOME)

all : $(OBJDIR) $(OBJDIR)/$(MAIN)  $(OBJDIR)/usbscan
static : $(OBJDIR)/$(MAIN).static

CC=g++
LK=g++
#CFLAGS=-I$(USBROOT)/include -I$(SRCDIR) -I$(OBJDIR) -g
#LFLAGS=-L$(USBROOT)/lib
CFLAGS= -I$(SRCDIR) -I$(OBJDIR) -g -Wall
LFLAGS=
LIBS=-lusb -lstdc++

OBJS=$(OBJDIR)/$(MAIN).o \
     $(OBJDIR)/usbmisc.o \
     $(OBJDIR)/usbnxt.o \
     $(OBJDIR)/errors.o \
     $(OBJDIR)/errormng.o \
     $(OBJDIR)/ezargs.o 

$(OBJDIR)/usbscan: $(SRCDIR)/usbscan.c
	gcc $(CFLAGS) $(LFLAGS) $(SRCDIR)/usbscan.c $(LIBS) -o $(OBJDIR)/usbscan

$(OBJDIR)/$(MAIN) : $(OBJS)
	$(LK) $(LFLAGS) $(OBJS) $(LIBS) -o $(OBJDIR)/$(MAIN)

$(OBJDIR)/$(MAIN).static : $(OBJS)
	$(LK) -static $(LFLAGS) $(OBJS) $(LIBS) -o $(OBJDIR)/$(MAIN).static

$(OBJDIR)/%.o : $(SRCDIR)/%.cc 
	$(CC) -c $(CFLAGS) $(SRCDIR)/$*.cc -o $(OBJDIR)/$*.o


$(OBJDIR)/usbmisc.o : $(SRCDIR)/usbmisc.h $(SRCDIR)/errormng.h $(SRCDIR)/errors.h

$(OBJDIR)/usbnxt.o : $(SRCDIR)/usbnxt.h $(SRCDIR)/usbmisc.h $(SRCDIR)/errormng.h \
                     $(SRCDIR)/errors.h

$(OBJDIR)/$(MAIN).o : $(SRCDIR)/usbnxt.h $(SRCDIR)/usbmisc.h $(SRCDIR)/errormng.h \
                      $(SRCDIR)/errors.h $(SRCDIR)/ezargs.h $(SRCDIR)/version.h

$(OBJDIR) :
	mkdir $(OBJDIR)

clean:
	rm -f $(OBJDIR)/*.o

distclean:
	rm -rf $(OBJDIR)

distrib: all static
	ddir=t2n-`$(OBJDIR)/$(MAIN) -version` ; \
	echo $$ddir ; \
	if [ ! -d $$ddir ] ; then mkdir $$ddir ; fi ; \
	cp $(OBJDIR)/$(MAIN) $$ddir ; strip $(OBJDIR)/$(MAIN) ; \
	cp $(OBJDIR)/$(MAIN).static $$ddir ; strip $(OBJDIR)/$(MAIN).static ; \
	cp -r hotplug $$ddir ; \
	cp -r udev $$ddir ; \
	tar zcvf $$ddir.tgz $$ddir ; mv $$ddir.tgz publish ; \
	sddir=t2n-`$(OBJDIR)/$(MAIN) -version`.src ; \
	echo $$sddir ; \
	if [ ! -d $$sddir ] ; then mkdir $$sddir ; fi ; \
	cp README $$sddir ; \
	cp COPYING $$sddir ; \
	cp COPYING.LESSER $$sddir ; \
	cp $(SRCDIR)/Makefile $$sddir ; \
	cp -r $(SRCDIR) $$sddir ; \
	cp -r udev $$sddir ; \
	cat publish/in.index.html | sed -e s/BINDIST/$$ddir.tgz/g | sed -e s/SRCDIST/$$sddir.tgz/g > publish/index.html ; \
	tar zcvf $$sddir.tgz $$sddir ; mv $$sddir.tgz publish
	cp -r publish/* /import/www/PEOPLE/raymond/edu/lego/t2n/

=== debian/changelog ===
t2n (0.5-1) unstable; urgency=low

  * added patch to fix string formatting (thanks to Petter Reinholdtsen)
  * patched Makefile to accept the CFLAGS and LDFLAGS variables
  * upload sponsored by Petter Reinholdtsen
  * Initial release.(Closes: #518343)

 -- Slavko <linux@slavino.sk>  Thu, 03 Jan 2013 11:59:57 +0100

=== debian/control ===
Source: t2n
Section: electronics
Priority: extra
Maintainer: Slavko <linux@slavino.sk>
Build-Depends: debhelper (>= 8), libusb-dev
Standards-Version: 3.9.3
Homepage: http://www-verimag.imag.fr/~raymond/edu/lego/

Package: t2n
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple command-line tool for Lego NXT
 Simple command-line tool for communication with your NXT brick through the
 USB port.
 .
 By this tool you can:
  * check battery level
  * print nxt info
  * list files
  * upload file
  * download file
 .

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage
http://www-verimag.imag.fr/~raymond/edu/lego/t2n t2n-(.*)\.src\.tgz

## t2n 0.6

=== Makefile ===
# Talk2Ntx (t2n) 
# 
# 1) libusb is required (http://libusb.sourceforge.net/)
# 2) define ARCHI var if several architecture are targeted
#    (e.g. linux, sparc, cygwin etc ...) 
#
# N.B. tested on :
#      - pc/linux with g++ 3.4
#      - sparc/solaris with g++ 3.4
#

# options for debian packaging hardening
# include /usr/share/hardening-includes/hardening.make
# CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
# LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
# CFLAGS+=$(HARDENING_CFLAGS)
# LDFLAGS+=$(HARDENING_LDFLAGS)

MAIN=t2n

OBJDIR=./obj$(ARCHI)
SRCDIR=./src

all: dynamic static

dynamic : $(OBJDIR) $(OBJDIR)/$(MAIN)  $(OBJDIR)/usbscan
static : $(OBJDIR)/$(MAIN).static

CC=g++
LK=g++
CFLAGS+= -I$(SRCDIR) -I$(OBJDIR) -g -Wall
LDFLAGS+=

LIBS=-lusb -lstdc++

OBJS=$(OBJDIR)/$(MAIN).o \
     $(OBJDIR)/usbmisc.o \
     $(OBJDIR)/usbnxt.o \
     $(OBJDIR)/errors.o \
     $(OBJDIR)/errormng.o \
     $(OBJDIR)/ezargs.o 

$(OBJDIR)/usbscan: $(SRCDIR)/usbscan.c
	gcc $(CFLAGS) $(LDFLAGS) $(SRCDIR)/usbscan.c $(LIBS) -o $(OBJDIR)/usbscan

$(OBJDIR)/$(MAIN) : $(OBJS)
	$(LK) $(LDFLAGS) $(OBJS) $(LIBS) -o $(OBJDIR)/$(MAIN)

$(OBJDIR)/$(MAIN).static : $(OBJS)
	$(LK) -static $(LDFLAGS) $(OBJS) $(LIBS) -o $(OBJDIR)/$(MAIN).static

$(OBJDIR)/%.o : $(SRCDIR)/%.cc 
	$(CC) -c $(CFLAGS) $(SRCDIR)/$*.cc -o $(OBJDIR)/$*.o


$(OBJDIR)/usbmisc.o : $(SRCDIR)/usbmisc.h $(SRCDIR)/errormng.h $(SRCDIR)/errors.h

$(OBJDIR)/usbnxt.o : $(SRCDIR)/usbnxt.h $(SRCDIR)/usbmisc.h $(SRCDIR)/errormng.h \
                     $(SRCDIR)/errors.h

$(OBJDIR)/$(MAIN).o : $(SRCDIR)/usbnxt.h $(SRCDIR)/usbmisc.h $(SRCDIR)/errormng.h \
                      $(SRCDIR)/errors.h $(SRCDIR)/ezargs.h $(SRCDIR)/version.h

$(OBJDIR) :
	mkdir $(OBJDIR)

clean:
	rm -f $(OBJDIR)/*.o

distclean:
	rm -rf $(OBJDIR)

distrib: all static 
	ddir=t2n-`$(OBJDIR)/$(MAIN) -version`-$(ARCHI) ; \
	echo $$ddir ; \
	if [ ! -d $$ddir ] ; then mkdir $$ddir ; fi ; \
	cp $(OBJDIR)/$(MAIN) $$ddir ; strip $(OBJDIR)/$(MAIN) ; \
	cp $(OBJDIR)/$(MAIN).static $$ddir ; strip $(OBJDIR)/$(MAIN).static ; \
#	cp -r hotplug $$ddir ; \
#	cp -r udev $$ddir ; \
	tar zcvf $$ddir.tgz $$ddir ; \
	mkdir -p publish/files ; \
	cp ,htaccess publish/files/.htaccess ; \
	mv $$ddir.tgz publish/files ; \
	sddir=t2n-`$(OBJDIR)/$(MAIN) -version`.src ; \
	echo $$sddir ; \
	if [ ! -d $$sddir ] ; then mkdir $$sddir ; fi ; \
	cp README $$sddir ; \
	cp COPYING $$sddir ; \
	cp COPYING.LESSER $$sddir ; \
	cp Makefile $$sddir ; \
	cp -r $(SRCDIR) $$sddir ; \
	cp -r udev $$sddir ; \
	zedate=`date  +"%Y.%m.%d"`; \
	cat publish/in.index.html | \
		sed -e s/BINDIST/$$ddir.tgz/g | \
      sed -e s/SRCDIST/$$sddir.tgz/g -e s/ZEDATE/$$zedate/ > publish/index.html ; \
	tar zcvf $$sddir.tgz $$sddir ; mv $$sddir.tgz publish/files
	rsync -avz publish/ /import/www/PEOPLE/raymond/edu/lego/t2n/

=== src/Makefile ===
# Talk2Ntx (t2n) 
# 
# 1) libusb is required (http://libusb.sourceforge.net/)
#    install it and check the USBROOT var
# 2) define CPU var if several architecture are targeted
#    (e.g. linux, sparc, cygwin etc ...) 
#
# N.B. tested on :
#      - pc/linux with g++ 3.4
#      - sparc/solaris with g++ 3.4
#

include /usr/share/hardening-includes/hardening.make

MAIN=t2n

OBJDIR=./obj$(CPU)
SRCDIR=./src

# ou trouver les .h et les lib usb/usbpp 
USBROOT=$(HOME)

all : $(OBJDIR) $(OBJDIR)/$(MAIN)  $(OBJDIR)/usbscan
static : $(OBJDIR)/$(MAIN).static

hard:
	DEB_BUILD_HARDENING=1 make

CC=g++
LK=g++
#CFLAGS=-I$(USBROOT)/include -I$(SRCDIR) -I$(OBJDIR) -g
#LFLAGS=-L$(USBROOT)/lib
CFLAGS= -I$(SRCDIR) -I$(OBJDIR) -g -Wall

#	-Wformat -Wformat-security -Werror=format-security \

LFLAGS=
LIBS=-lusb -lstdc++

OBJS=$(OBJDIR)/$(MAIN).o \
     $(OBJDIR)/usbmisc.o \
     $(OBJDIR)/usbnxt.o \
     $(OBJDIR)/errors.o \
     $(OBJDIR)/errormng.o \
     $(OBJDIR)/ezargs.o 

$(OBJDIR)/usbscan: $(SRCDIR)/usbscan.c
	gcc $(CFLAGS) $(LFLAGS) $(SRCDIR)/usbscan.c $(LIBS) -o $(OBJDIR)/usbscan

$(OBJDIR)/$(MAIN) : $(OBJS)
	$(LK) $(LFLAGS) $(OBJS) $(LIBS) -o $(OBJDIR)/$(MAIN)

$(OBJDIR)/$(MAIN).static : $(OBJS)
	$(LK) -static $(LFLAGS) $(OBJS) $(LIBS) -o $(OBJDIR)/$(MAIN).static

$(OBJDIR)/%.o : $(SRCDIR)/%.cc 
	$(CC) -c $(CFLAGS) $(SRCDIR)/$*.cc -o $(OBJDIR)/$*.o


$(OBJDIR)/usbmisc.o : $(SRCDIR)/usbmisc.h $(SRCDIR)/errormng.h $(SRCDIR)/errors.h

$(OBJDIR)/usbnxt.o : $(SRCDIR)/usbnxt.h $(SRCDIR)/usbmisc.h $(SRCDIR)/errormng.h \
                     $(SRCDIR)/errors.h

$(OBJDIR)/$(MAIN).o : $(SRCDIR)/usbnxt.h $(SRCDIR)/usbmisc.h $(SRCDIR)/errormng.h \
                      $(SRCDIR)/errors.h $(SRCDIR)/ezargs.h $(SRCDIR)/version.h

$(OBJDIR) :
	mkdir $(OBJDIR)

clean:
	rm -f $(OBJDIR)/*.o

distclean:
	rm -rf $(OBJDIR)

distrib: all static
	ddir=t2n-`$(OBJDIR)/$(MAIN) -version` ; \
	echo $$ddir ; \
	if [ ! -d $$ddir ] ; then mkdir $$ddir ; fi ; \
	cp $(OBJDIR)/$(MAIN) $$ddir ; strip $(OBJDIR)/$(MAIN) ; \
	cp $(OBJDIR)/$(MAIN).static $$ddir ; strip $(OBJDIR)/$(MAIN).static ; \
	cp -r hotplug $$ddir ; \
	cp -r udev $$ddir ; \
	tar zcvf $$ddir.tgz $$ddir ; mv $$ddir.tgz publish ; \
	sddir=t2n-`$(OBJDIR)/$(MAIN) -version`.src ; \
	echo $$sddir ; \
	if [ ! -d $$sddir ] ; then mkdir $$sddir ; fi ; \
	cp README $$sddir ; \
	cp COPYING $$sddir ; \
	cp COPYING.LESSER $$sddir ; \
	cp $(SRCDIR)/Makefile $$sddir ; \
	cp -r $(SRCDIR) $$sddir ; \
	cp -r udev $$sddir ; \
	cat publish/in.index.html | sed -e s/BINDIST/$$ddir.tgz/g | sed -e s/SRCDIST/$$sddir.tgz/g > publish/index.html ; \
	tar zcvf $$sddir.tgz $$sddir ; mv $$sddir.tgz publish
	cp -r publish/* /import/www/PEOPLE/raymond/edu/lego/t2n/

=== debian/changelog ===
t2n (0.6-9) unstable; urgency=medium

  * Renamed 01-readme-typo.patch to 1010-readme-typo.patch to match
    new naming scheme.
  * Added 1030-ezargs-no-null-self.patch to avoid segfault in argument
    parsing code.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 02 Oct 2021 16:02:37 +0200

t2n (0.6-8) unstable; urgency=medium

  [ Jenkins Janitor ]
  * Use secure copyright file specification URI.
  * Set debhelper-compat version in Build-Depends.

  [ Petter Reinholdtsen ]
  * Updated d/watch file with new upstream location.
  * Switch to new patch naming scheme.
  * Switched to new upstream home page url.
  * Brought appstream metainfo license in line with d/copyright.
  * Merged the two d/*install files to make sure binary is included in package.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 01 Oct 2021 06:18:32 +0200

t2n (0.6-7) unstable; urgency=medium

  * Updated Standards-Version from 4.0.0 to 4.6.0.
  * Updated Vcs info in d/control with new salsa location.
  * Switch appstream metadata ID to reverse domain-name.
  * Fix cross building problems (Closes: #928898)
  * Updated debhelper level from 10 to 13.
  * Corrected package priority from extra to optional.
  * Mark package to not need root access during build.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 25 Sep 2021 22:05:03 +0200

t2n (0.6-6) unstable; urgency=medium

  * Corrected section in d/gbp.conf.
  * Corrected install path for appstream metadata to /usr/share/metainfo/.
  * Updated Standards-Version from 3.9.8 to 4.0.0.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 01 Aug 2017 10:15:56 +0200

t2n (0.6-5) unstable; urgency=medium

  * Fixed typo in udev rule breaking it for everyone (== -> =).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 19 Oct 2016 08:32:36 +0000

t2n (0.6-4) unstable; urgency=medium

  * Added udev marker ID_LEGO_MINDSTORMS in udev rule.
  * Added d/gbp.conf to enforce use of pristine-tar.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 15 Oct 2016 06:36:19 +0000

t2n (0.6-3) unstable; urgency=medium

  * Moved package under the new Debian LEGO Team umbrella and publish
    git repo there.
  * Mention Mindstorms in package description.
  * Adjusted udev rule, made sure to use tag uaccess for console user
    access using logind.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 09 Oct 2016 05:45:40 +0200

t2n (0.6-2) unstable; urgency=medium

  * Moved packaging to collab-maint and added Vcs entries in d/control
    for this.
  * Added AppStream info to announce handled modaliases.
  * Added 01-readme-typo.patch to fix minor typo in README.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 12 Sep 2016 09:37:47 +0200

t2n (0.6-1) unstable; urgency=medium

  * Added d/gbp.conf to make sure pristine-tar is used.
  * Updated Standards-Version from 3.9.3 to 3.9.8.
  * Took over maintenance from Slavko.  Thank you for all the good work.
  * Switched from debhelper 8 to 9.
  * Corrected d/watch to find the new 0.6 version.
  * New upstream version 0.6.
    - Remove compiled binaries objlinux64/* included in upstream tarball
      by mistake.
    - Removed Debian specific patches applied upstream.
    - Updated d/copyright a bit to reflect realities.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 09 Jul 2016 08:48:59 +0200

=== debian/control ===
Source: t2n
Section: electronics
Priority: optional
Maintainer: Debian LEGO Team <debian-lego-team@lists.alioth.debian.org>
Uploaders:
 Petter Reinholdtsen <pere@debian.org>
Build-Depends: debhelper-compat (= 13), libusb-dev
Standards-Version: 4.6.0
Homepage: http://www-verimag.imag.fr/~raymond/home/tools/t2n/
Vcs-Git: https://salsa.debian.org/debian-lego-team/t2n.git
Vcs-Browser: https://salsa.debian.org/debian-lego-team/t2n
Rules-Requires-Root: no

Package: t2n
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple command-line tool for LEGO Mindstorms NXT
 Simple command-line tool for communication with your LEGO Mindstorms NXT brick
 through the USB port.
 .
 By this tool you can:
  * check battery level
  * print nxt info
  * list files
  * upload file
  * download file
 .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
#	post hardenning options to Makefile
	dh_auto_build -- LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)" CFLAGS="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" LK='$$(CXX)'

=== debian/watch ===
# See uscan(1) for format
version=4
http://www-verimag.imag.fr/~raymond/files/t2n/files/ t2n-(.*)\.src\.tgz

## t2n 0.7

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 CC=g++
 LK=g++
-CFLAGS+= -I$(SRCDIR) -I$(OBJDIR) -g -Wall
+CFLAGS+= -I$(SRCDIR) -I$(OBJDIR) -g -Wall -fPIE -Wno-int-to-pointer-cast
 LDFLAGS+=
 
 LIBS=-lusb -lstdc++
@@ -41,7 +41,7 @@
      $(OBJDIR)/ezargs.o 
 
 $(OBJDIR)/usbscan: $(SRCDIR)/usbscan.c
-	gcc $(CFLAGS) $(LDFLAGS) $(SRCDIR)/usbscan.c $(LIBS) -o $(OBJDIR)/usbscan
+	gcc $(CFLAGS) -Wno-unused-but-set-variable $(LDFLAGS) $(SRCDIR)/usbscan.c $(LIBS) -o $(OBJDIR)/usbscan
 
 $(OBJDIR)/$(MAIN) : $(OBJS)
 	$(LK) $(LDFLAGS) $(OBJS) $(LIBS) -o $(OBJDIR)/$(MAIN)
@@ -96,4 +96,4 @@
 		sed -e s/BINDIST/$$ddir.tgz/g | \
       sed -e s/SRCDIST/$$sddir.tgz/g -e s/ZEDATE/$$zedate/ > publish/index.html ; \
 	tar zcvf $$sddir.tgz $$sddir ; mv $$sddir.tgz publish/files
-	rsync -avz publish/ /import/www/PEOPLE/raymond/edu/lego/t2n/ 
+	rsync -avz publish/ /import/www-people/PEOPLE/raymondp/files/t2n

=== debian/changelog ===
t2n (0.7-2) unstable; urgency=medium

  * Add myself as an uploader.
  * Use HTTPS links for control, copyright, metainfo and upstream metadata.
  * Update Standards-Version to 4.7.2, no change needed.
  * Enable Salsa CI using default template.
  * Stop referring to the old postal address of the FSF in debian/copyright,
    add a reference to full text license on debian systems.
  * Update copyright years.

 -- Nicolas Schodet <nico@ni.fr.eu.org>  Sun, 06 Apr 2025 16:57:51 +0200

t2n (0.7-1) unstable; urgency=medium

  * New upstream version 0.7.
   - Refreshed patches 1020-cross-build.patch and 1040-libusb1.patch.
   - Removed 1030-ezargs-no-null-self.patch, as a alternative fix seem
     to be implemented upstream.
  * Adjusted Appstream metainfo file based on validation feedback.
  * Updated d/patches/ metadata with more info.
  * Correct url in watch file to use https.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 15 Apr 2024 18:14:21 +0200

t2n (0.6-11) unstable; urgency=medium

  * Added missing build dependency pkgconf.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 10 Apr 2024 23:45:01 +0200

t2n (0.6-10) unstable; urgency=medium

  * Adjusted d/rules to build hardened binaries.
  * Added 1040-libusb1.patch to convert code to libusb1 (Closes: #810460)
  * Switched appstream metadata license back to MIT and adjusted d/copyright.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 10 Apr 2024 15:21:21 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,14 @@
 Priority: optional
 Maintainer: Debian LEGO Team <debian-lego-team@lists.alioth.debian.org>
 Uploaders:
- Petter Reinholdtsen <pere@debian.org>
-Build-Depends: debhelper-compat (= 13), libusb-dev
-Standards-Version: 4.6.0
-Homepage: http://www-verimag.imag.fr/~raymond/home/tools/t2n/
+ Petter Reinholdtsen <pere@debian.org>,
+ Nicolas Schodet <nico@ni.fr.eu.org>,
+Build-Depends:
+ debhelper-compat (= 13)
+ , libusb-1.0-0-dev
+ , pkgconf
+Standards-Version: 4.7.2
+Homepage: https://www-verimag.imag.fr/~raymond/home/tools/t2n/
 Vcs-Git: https://salsa.debian.org/debian-lego-team/t2n.git
 Vcs-Browser: https://salsa.debian.org/debian-lego-team/t2n
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@

=== debian/watch ===
# See uscan(1) for format
version=4
https://www-verimag.imag.fr/~raymond/files/t2n/files/ t2n-(.*)\.src\.tgz
